Package com.independentsoft.office.odf.styles

# Enum Class FontStyleType

java.lang.Object
java.lang.Enum<FontStyleType>
com.independentsoft.office.odf.styles.FontStyleType

All Implemented Interfaces:
  `Serializable`, `Comparable<FontStyleType>`, `Constable`

public enum FontStyleType extends Enum<FontStyleType>
Represents font style type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ITALIC`
  Italic.
  `NONE`
  None.
  `NORMAL`
  Normal.
  `OBLIQUE`
  Oblique.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FontStyleType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FontStyleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final FontStyleType NORMAL
    Normal.

  - ### ITALIC

    public static final FontStyleType ITALIC
    Italic.

  - ### OBLIQUE

    public static final FontStyleType OBLIQUE
    Oblique.

  - ### NONE

    public static final FontStyleType NONE
    None.

- ## Method Details

  - ### values

    public static FontStyleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FontStyleType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null